getCloudMssqlLogBackupFileList

Prev Next

Available in VPC

Get the log backup file list of a Cloud DB for MSSQL instance.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vmssql/v2/getCloudMssqlLogBackupFileList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see Cloud DB for MSSQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for MSSQL instance to view
  • See getRegionList
  • First Region of the getRegionList query result (default)
cloudMssqlInstanceNo String Required Cloud DB for MSSQL instance number
databaseName String Required DB name
backupSetId String Required Backup ID
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlLogBackupFileList
?regionCode=KR
&cloudMssqlInstanceNo=2517****
&databaseName=msdb
&backupSetId=12
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudMssqlLogBackupFileList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see Cloud DB for MSSQL (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
        "getCloudMssqlLogBackupFileListResponse": {
            "totalRows":1,
            "cloudMssqlBackupDetailList": [
                {
                    "fileName": "msdb_20240807_02****.full",
                    "fullFileName": "Z:\\cmssql_backup\\user_idx_276****\\cmssql_10-0-2520_m-3***-001\\msdb_20240807_172525.log",
                    "startTime": "2024-08-07T17:25:25+0900",
                    "endTime": "2024-08-07T17:25:25+0900",
                    "fileSize": 620280
                }
            ],
            "requestId": "93697d3d-****-****-****-953e20c67075",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudMssqlLogBackupFileListResponse>
        <requestId>93697d3d-****-****-****-953e20c67075</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <cloudMssqlLogBackupFileList>
            <CloudMssqlLogBackupFile>
                <databaseName>msdb</databaseName>
                <fileName>msdb_20240701_02****.full</fileName>
                <fullFileName>Z:\cmssql_backup\user_idx_276****\cmssql_10-0-2520_m-3***-001\msdb_20240807_172525.log</fullFileName>
                <startTime>2024-08-07T17:25:25+0900</startTime>
                <endTime>2024-08-07T17:25:25+0900</endTime>
                <fileSize>620280</fileSize>
            </CloudMssqlLogBackupFile>
        </cloudMssqlLogBackupFileList>
    </getCloudMssqlLogBackupFileListResponse>